This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 847200 (CVE-2012-3465)

Summary: CVE-2012-3465 rubygem-actionpack: XSS Vulnerability in strip_tags
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bkabrda, bkearney, katello-internal, mastahnke, mmccune, mmorsi, morazi, rmillner, sseago, tkramer, vanmeeuwen+fedora, vondruch
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120809,reported=20120809,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,cloudformscommon-1/rubygem-actionpack=affected,sam-1/rubygem-actionpack=affected,openshift-1/rubygem-actionpack=affected,fedora-all/rubygem-actionpack=affected,epel-5/rubygem-actionpack=affected,openshift-enterprise-1/rubygem-activerecord=affected,cwe=CWE-79[auto]
Fixed In Version: rubygem-actionpack 3.0.17, rubygem-actionpack 3.1.8, rubygem-actionpack 3.2.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-26 17:01:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 847201, 847202, 847203, 847204, 849728, 896169, 903997    
Bug Blocks: 836071, 851385    

Description Kurt Seifried 2012-08-10 01:17:49 EDT
The Ruby on Rails project reports:

XSS Vulnerability in strip_tags

There is a vulnerability in the strip_tags helper of Ruby on Rails
which could allow an attacker to execute arbitrary javascript. This
vulnerability has been assigned the CVE identifier CVE-2012-3465.

Versions Affected:  All.
Not affected:       Applications not using strip_tags
Fixed Versions:     3.2.8, 3.1.8, 3.0.17

Impact
- ------
There is an XSS vulnerability in the strip_tags helper in Ruby on
Rails, the helper doesn't correctly handle malformed html.  As a
result an attacker can execute arbitrary javascript through the use of
specially crafted malformed html.  All users who rely on strip_tags
for XSS protection should upgrade or use the work around immediately.

Releases
- --------
The 3.2.8 and 3.1.8 releases are available at the normal locations.

Workarounds
- -----------
For users running earlier releases we have provided a work around,
place the attached file into the config/initializers directory of your
application.

Patches
- -------
To aid users who aren't able to upgrade immediately we have provided
patches for the two supported release series.  They are in git-am
format and consist of a single changeset.

* 3-0-strip_tags.patch - Patch for 3.0 series
* 3-1-strip_tags.patch - Patch for 3.1 series
* 3-2-strip_tags.patch - Patch for 3.2 series

Please note that only the 3.1.x and 3.2.x series are supported at
present.  Users of earlier unsupported releases are advised to upgrade
as soon as possible as we cannot guarantee the continued availability
of security fixes for unsupported releases.

Credits
- -------

Thanks to Marek from Nethemba (www.nethemba.com) for reporting this issue!

---

References:
http://weblog.rubyonrails.org/2012/8/9/ann-rails-3-2-8-has-been-released/
Comment 1 Kurt Seifried 2012-08-10 01:23:42 EDT
Created rubygem-actionpack tracking bugs for this issue

Affects: fedora-all [bug 847201]
Comment 2 Kurt Seifried 2012-08-10 01:25:03 EDT
Created rubygem-actionpack tracking bugs for this issue

Affects: epel-5 [bug 847202]
Comment 5 Fedora Update System 2012-08-22 16:58:50 EDT
rubygem-actionpack-3.0.10-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-08-22 17:11:11 EDT
rubygem-actionpack-3.0.11-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2012-12-04 14:32:05 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2012:1542 https://rhn.redhat.com/errata/RHSA-2012-1542.html
Comment 8 errata-xmlrpc 2013-01-10 15:42:36 EST
This issue has been addressed in following products:

  Red Hat Subscription Asset Manager 1.1

Via RHSA-2013:0154 https://rhn.redhat.com/errata/RHSA-2013-0154.html
Comment 11 errata-xmlrpc 2013-02-28 14:08:07 EST
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0582 https://rhn.redhat.com/errata/RHSA-2013-0582.html